import type { MouseEventType, RefObjectType, FocusEventType } from "../../../fd-toolbox/types/react-types";
import { VoidFunc, VoidFuncNoParam } from "../../../fd-toolbox/functions/internal-getter-setter-functions";
/**
 * Using {@link https:/cva.style/docs/getting-started/variants class-variance-authority}
 */
export declare const multiSelectVariants: (props?: {
    variant?: "float" | "bordered";
} & import("class-variance-authority/types").ClassProp) => string;
export declare function onMultiSelectValueChange(value: string, values: string[], onValueChange: VoidFunc<string[]>, setDescription: VoidFunc<string>, showSelectAll?: boolean, isAllSelected?: boolean, displayValues?: Map<string, string>): void;
export declare function getMultiSelectStatusesById(ids: string[], displayValues: Map<string, string>): string;
export declare function onMultiSelectKeyDown(value: string[], eventKey: string, inputValue: string, activeIndex: number, setActiveIndex: VoidFunc<number>, onValueChange: VoidFunc<string[]>, setOpen: VoidFunc<boolean>, loop?: boolean, dir?: string): void;
export declare function resetOnClick(event: MouseEventType, onReset: VoidFuncNoParam, setOpen: VoidFunc<boolean>): void;
export declare function inputOnClick(setActiveIndex: VoidFunc<number>, open: boolean, setOpen: VoidFunc<boolean>): void;
export declare function mousePreventDefault(event: MouseEventType): void;
export declare function onItemSelect(value: string, onValueChange: VoidFunc<string>, setInputValue: VoidFunc<string>): void;
export declare function handleOpenChange(isOpen: boolean, setIsOpen: VoidFunc<boolean>, onOpenChange?: VoidFunc<boolean>): void;
export declare function registerClickOutsideMultiselectHandler(containerRef: RefObjectType<HTMLDivElement>, onOpenChangeCallback: VoidFunc<boolean>): () => void;
export declare function createOnKeyDown(value: string[], inputValue: string, activeIndex: number, setActiveIndex: VoidFunc<number>, onValueChange: VoidFunc<string[]>, setOpen: VoidFunc<boolean>, loop?: boolean, dir?: string): (event: {
    key: string;
}) => void;
export declare function onBlurHandler(event: FocusEventType<HTMLDivElement>, containerRef: RefObjectType<HTMLDivElement>, onOpenToggle: (isOpen: boolean) => void): void;
